package com.huiju.estateagents.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.huiju.estateagents.base.ResponseBean;
import com.huiju.estateagents.entity.TaMiniappTheme;

public interface ITaMiniappThemeService extends IService<TaMiniappTheme> {

    IPage<TaMiniappTheme> getThemeList(Integer orgId, Boolean includeNotUsed, Integer pageNum, Integer pageSize);

    ResponseBean editTheme(TaMiniappTheme taMiniappTheme);

    ResponseBean deleteTheme(TaMiniappTheme taMiniappTheme);

    TaMiniappTheme getProfileById(Integer id);
}
